## emacs-doom-themes 2.1.6+git20210505.4d24728

=== Makefile ===
all:
	@cask

test:
	@cask exec ert-runner -l test/test-helper.el

clean:
	@rm -rf .cask
	@rm -f *.elc test/*.elc

.PHONY: test

=== debian/changelog ===
emacs-doom-themes (2.1.6+git20210505.4d24728-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to permit testing migration.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 23 Sep 2021 13:02:03 -0700

emacs-doom-themes (2.1.6+git20210505.4d24728-1) unstable; urgency=medium

  * Initial release. (Closes: #988864)

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 17 Jun 2021 08:56:20 -0700

=== debian/control ===
Source: emacs-doom-themes
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Raúl Benencia <rul@kalgan.cc>,
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-doom-themes
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-doom-themes.git
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/hlissner/emacs-doom-themes
Rules-Requires-Root: no

Package: elpa-doom-themes
Architecture: all
Depends: ${misc:Depends},
Recommends: emacs (>= 46.0),
Enhances: emacs,
Description: opinionated pack of modern Emacs color-themes
 DOOM Themes is an opinionated UI plugin and pack of themes.
 .
 The flagship themes are:
  - doom-one: inspired by Atom's One Dark themes
  - doom-one-light: light version of doom-one
  - doom-vibrant: a slightly more vibrant version of doom-one
 .
 Additionally, DOOM Themes includes 40+ extra themes.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/emacs-doom-themes.git-$1.tar.gz/" \
    https://github.com/hlissner/emacs-doom-themes/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-doom-themes 2.2.1~git20220609.6aeec22

=== debian/changelog ===
emacs-doom-themes (2.2.1~git20220609.6aeec22-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump standards version to 4.6.1 (no changes required).
  * Update metadata with current URL for the project:
    - set d/control 'Homepage' field
    - set d/copyright 'Source' field
    - set d/upstream/metadata fields
    - set d/watch path
  * Update d/copyright:
    - bump copyright years
    - add copyright for doom-1337-theme
  * Update d/elpa:
    - extension files were moved to the extensions/ directory

 -- Raúl Benencia <rul@kalgan.cc>  Mon, 13 Jun 2022 10:37:17 -0700

## emacs-doom-themes 2.3.0

=== Makefile ===
all: compile test

compile:
	@emacs -batch -L . -L themes/ -f batch-byte-compile *.el themes/*.el

test:
	@emacs -batch -L . -L themes/ -l test/test-helper.el test/*-test.el

clean:
	@rm -vf *.elc themes/*.elc *-autoloads.el *~

.PHONY: test

=== debian/changelog ===
emacs-doom-themes (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 17 Nov 2022 09:32:02 -0300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Raúl Benencia <rul@kalgan.cc>,
 Build-Depends: debhelper-compat (= 13),
                dh-elpa,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-doom-themes
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-doom-themes.git
 Testsuite: autopkgtest-pkg-elpa
-Homepage: https://github.com/hlissner/emacs-doom-themes
+Homepage: https://github.com/doomemacs/themes
 Rules-Requires-Root: no
 
 Package: elpa-doom-themes

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true # Avoid running cask

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/emacs-doom-themes.git-$1.tar.gz/" \
    https://github.com/doomemacs/themes/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
